org.apache.sqoop.lib

## Interface FieldMapProcessor

- All Known Subinterfaces:
    FieldMapProcessor

      public interface FieldMapProcessor

  Interface implemented by classes that process FieldMappable objects.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FieldMappable record)` Allow arbitrary processing of a FieldMappable object.

- - ### Method Detail

    - #### accept

          void accept(FieldMappable record)
                      throws java.io.IOException,
                             ProcessingException

      Allow arbitrary processing of a FieldMappable object.
      Parameters:
        `record` - an object which can emit a map of its field names to values.
      Throws:
        `java.io.IOException` - if the processor encounters an IO error when operating on this object.
        `ProcessingException` - if the FieldMapProcessor encounters a general processing error when operating on this object.
        `ProcessingException`

Copyright © 2015 The Apache Software Foundation